You can provide Workspace ONE users access to Citrix-published resources by integrating your Citrix deployment with VMware Identity Manager. Citrix-published resources include applications and desktops within Citrix XenApp and XenDesktop farms. Desktops are also referred to as Citrix-published delivery groups.

End users can launch Citrix-published applications and desktops from the Workspace ONE portal or app. They install Citrix Receiver on their systems and devices to access the resources to which they are entitled.

You manage Citrix-published applications and desktops, and entitle users to resources, in Citrix. In the VMware Identity Manager administration console, you can view the resources and their entitlements.

You can also edit ICA session settings, such as the settings that control resolution or compression, from VMware Identity Manager. You can configure the settings globally for all the Citrix resources in the VMware Identity Manager catalog, or for individual Citrix resources.

VMware Identity Manager supports Citrix deployments that include Citrix Netscaler.

Supported Versions

  • VMware Identity Manager supports XenApp 5.0, 6.0, 6.5, and 7.x, and XenDesktop 7.x.

  • Supported operating systems for the Integration Broker, the VMware Identity Manager component that communicates with the Citrix server farm, are Windows Server 2008 R2, Windows Server 2012, and Windows Server 2012 R2.

  • Integration Broker version requirements:

    VMware Identity Manager or Connector Version

    Integration Broker Version Supported

    VMware Identity Manager 3.0

    3.0

    VMware Identity Manager Connector 3.0

    3.0

    VMware Identity Manager 2.9.1 or earlier

    2.9.1 or earlier

    VMware Identity Manager Connector 2.9.1 or earlier

    2.9.1 or earlier

    Note:

    To use the Citrix StoreFront REST API, Integration Broker 2.9.1 or later is required. For XenApp or XenDesktop 7.x, Integration Broker 2.6 or later is required. To use the NetScaler feature, Integration Broker 2.4 or later is required.

Note:

Using the latest available version of VMware Identity Manager and its components is recommended.